OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::ThreadManager< TDatums, TWorker, TQueue > Class Template Reference

`#include <threadManager.hpp>`

## Public Member Functions
| ThreadManager (const ThreadManagerMode threadManagerMode=ThreadManagerMode::Synchronous)
virtual | ~ThreadManager ()
void | setDefaultMaxSizeQueues (const long long defaultMaxSizeQueues=-1)
void | add (const unsigned long long threadId, const std::vector< TWorker > &tWorkers, const unsigned long long queueInId, const unsigned long long queueOutId)
void | add (const unsigned long long threadId, const TWorker &tWorker, const unsigned long long queueInId, const unsigned long long queueOutId)
void | reset ()
void | exec ()
void | start ()
void | stop ()
std::shared_ptr< std::atomic < bool > > | getIsRunningSharedPtr ()
bool | isRunning () const
bool | tryEmplace (TDatums &tDatums)
bool | waitAndEmplace (TDatums &tDatums)
bool | tryPush (const TDatums &tDatums)
bool | waitAndPush (const TDatums &tDatums)
bool | tryPop (TDatums &tDatums)
bool | waitAndPop (TDatums &tDatums)

## Constructor & Destructor Documentation

template<typename TDatums , typename TWorker , typename TQueue >

op::ThreadManager< TDatums, TWorker, TQueue >::ThreadManager | ( | const ThreadManagerMode | threadManagerMode = `ThreadManagerMode::Synchronous` | ) |
| explicit

template<typename TDatums , typename TWorker , typename TQueue >

op::ThreadManager< TDatums, TWorker, TQueue >::~ThreadManager | ( |  | ) |
| virtual

## Member Function Documentation

template<typename TDatums , typename TWorker, typename TQueue >

void op::ThreadManager< TDatums, TWorker, TQueue >::add | ( | const unsigned long long | threadId,
|  | const std::vector< TWorker > & | tWorkers,
|  | const unsigned long long | queueInId,
|  | const unsigned long long | queueOutId
| ) |  |

template<typename TDatums , typename TWorker, typename TQueue >

void op::ThreadManager< TDatums, TWorker, TQueue >::add | ( | const unsigned long long | threadId,
|  | const TWorker & | tWorker,
|  | const unsigned long long | queueInId,
|  | const unsigned long long | queueOutId
| ) |  |

template<typename TDatums , typename TWorker , typename TQueue >

void op::ThreadManager< TDatums, TWorker, TQueue >::exec | ( |  | ) |

template<typename TDatums, typename TWorker = std::shared_ptr<Worker<TDatums>>, typename TQueue = Queue<TDatums>>

std::shared_ptr<std::atomic<bool> > op::ThreadManager< TDatums, TWorker, TQueue >::getIsRunningSharedPtr | ( |  | ) |
| inline

template<typename TDatums, typename TWorker = std::shared_ptr<Worker<TDatums>>, typename TQueue = Queue<TDatums>>

bool op::ThreadManager< TDatums, TWorker, TQueue >::isRunning | ( |  | ) | const
| inline

template<typename TDatums , typename TWorker , typename TQueue >

void op::ThreadManager< TDatums, TWorker, TQueue >::reset | ( |  | ) |

template<typename TDatums , typename TWorker , typename TQueue >

void op::ThreadManager< TDatums, TWorker, TQueue >::setDefaultMaxSizeQueues | ( | const long long | defaultMaxSizeQueues = `-1` | ) |

template<typename TDatums , typename TWorker , typename TQueue >

void op::ThreadManager< TDatums, TWorker, TQueue >::start | ( |  | ) |

template<typename TDatums , typename TWorker , typename TQueue >

void op::ThreadManager< TDatums, TWorker, TQueue >::stop | ( |  | ) |

template<typename TDatums, typename TWorker , typename TQueue >

bool op::ThreadManager< TDatums, TWorker, TQueue >::tryEmplace | ( | TDatums & | tDatums | ) |

template<typename TDatums, typename TWorker , typename TQueue >

bool op::ThreadManager< TDatums, TWorker, TQueue >::tryPop | ( | TDatums & | tDatums | ) |

template<typename TDatums, typename TWorker , typename TQueue >

bool op::ThreadManager< TDatums, TWorker, TQueue >::tryPush | ( | const TDatums & | tDatums | ) |

template<typename TDatums, typename TWorker , typename TQueue >

bool op::ThreadManager< TDatums, TWorker, TQueue >::waitAndEmplace | ( | TDatums & | tDatums | ) |

template<typename TDatums, typename TWorker , typename TQueue >

bool op::ThreadManager< TDatums, TWorker, TQueue >::waitAndPop | ( | TDatums & | tDatums | ) |

template<typename TDatums, typename TWorker , typename TQueue >

bool op::ThreadManager< TDatums, TWorker, TQueue >::waitAndPush | ( | const TDatums & | tDatums | ) |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/threadManager.hpp